const Discord = require('discord.js');

exports.run = async(client, message, args) => {
  if (!message.member.hasPermission('BAN_MEMBERS')) return [message.channel.send(`You don't have enough permission.`)];
    let user = message.guild.member(message.mentions.users.first() || message.guild.members.cache.get(args[0]));
    let reason = args.slice(1).join(' ');

    if(!user) return message.channel.send('Mention a user to ban.');
    if(!reason){
      reason = "Unspecified";
    }
     let authorHighestRole = message.member.roles.highest.position;
     let mentionHighestRole = user.roles.highest.position;

    if(mentionHighestRole >= authorHighestRole) {
            message.channel.send('You can`t ban members with equal or higher position');
            return;
        };

    if (!message.guild.member(user).bannable) return message.reply(`I don't have enough permission.`);
     message.guild.members.ban(user, {days: 7, reason: reason}).catch(e => {
      message.channel.send(`An error occurred \n${e}`)
    });
      message.channel.send(`Banned <@${user.id}>.`);
    };

module.exports.help = {
    name: 'ban',
    aliases: []
};
