const Discord = require('discord.js');

exports.run = (client, message, args) => {
const category = args[0]
if(!category) {
    const helpembed = new Discord.MessageEmbed()
    .setAuthor(message.author.username, message.author.avatarURL())
    .setDescription(`${client.user.username} Help Menu`)
    .addField('<a:red_star:801039507385483306> Moderator Commands <a:red_star:801039507385483306>','Type `*help moderator` to see moderator commands')
    .addField('<a:red_star:801039507385483306> User Commands <a:red_star:801039507385483306>','Type `*help user` to see user commands')
    .addField('<a:red_star:801039507385483306> Fun Commands <a:red_star:801039507385483306>','Type `*help fun` to see fun commands')
    .setColor('RANDOM')
    message.channel.send(helpembed)
}
else if(category == "moderator") {
    const modembed = new Discord.MessageEmbed()
.addField('Moderator Commands','<a:orange_star:801039421579198524> *add-emote {Emoji} \n<a:orange_star:801039421579198524> *ban {User} \n<a:orange_star:801039421579198524> *change-server-name {New name} \n<a:orange_star:801039421579198524> *clear {Amount} \n<a:orange_star:801039421579198524> *kick {User} \n<a:orange_star:801039421579198524> *lockdown \n<a:orange_star:801039421579198524> *mute {User} {Time} {Reason} \n<a:orange_star:801039421579198524> *start-vote {Vote title} \n<a:orange_star:801039421579198524> *pin \n<a:orange_star:801039421579198524> *unban {User id} \n<a:orange_star:801039421579198524> *unlock \n<a:orange_star:801039421579198524> *warn {User}')
    .setColor('RANDOM')
    .setAuthor(message.author.username, message.author.avatarURL())
    message.channel.send(modembed)
} else if(category == "user") {
    const userembed = new Discord.MessageEmbed()
.addField('User Commands','<a:yellow_star:801040137597223002> *author \n<a:yellow_star:801040137597223002> *create-invite \n<a:yellow_star:801040137597223002> *icon \n<a:yellow_star:801040137597223002> *help-server \n<a:yellow_star:801040137597223002> *invite \n<a:yellow_star:801040137597223002> *links \n<a:yellow_star:801040137597223002> *random-password \n<a:yellow_star:801040137597223002> *stats \n<a:yellow_star:801040137597223002> *vote \n<a:yellow_star:801040137597223002> *roles \n<a:yellow_star:801040137597223002> *ping')
    .setColor('RANDOM')
    .setAuthor(message.author.username, message.author.avatarURL())
    message.channel.send(userembed)
} else if(category == "fun") {
    const funembed = new Discord.MessageEmbed()
.addField('Fun Commands','<a:blue_star:801039932806266892> *weather \n<a:blue_star:801039932806266892> *steam \n<a:blue_star:801039932806266892> *spoiler {Message} \n<a:blue_star:801039932806266892> *hug {User} \n<a:blue_star:801039932806266892> *shorten {Link} \n<a:blue_star:801039932806266892> *fbi \n<a:blue_star:801039932806266892> *id {User} \n<a:blue_star:801039932806266892> *icon \n<a:blue_star:801039932806266892> *embed {Message} \n<a:blue_star:801039932806266892> *avatar {User}')
    .setColor('RANDOM')
    .setAuthor(message.author.username, message.author.avatarURL())
    message.channel.send(funembed)
}
else {
    const nocategory = new Discord.MessageEmbed()
    .setColor('RANDOM')
    .setDescription(`Can't find category \`${category}\``)
    message.channel.send(nocategory)
}
}
module.exports.help = {
    name: 'help',
    aliases: ['h','yardım','y']
};
