const Discord = require("discord.js");

exports.run = async (client, message, args) => {
        var url = "";
  var name = "";
  if (!message.member.hasPermission("MANAGE_EMOJIS"))
    return [message.channel.send(`To use this command, you must have manage emojis permission`)];
  let emoji = args[0];
  var emojiid = emoji.match(/\d/g);
  emojiid = emojiid.join("");
  var emote = Discord.Util.parseEmoji(emoji);
  if (emote.animated === true) {
    url = `https://cdn.discordapp.com/emojis/${emojiid}.gif`;
  }
  if (emote.animated === false) {
    url = `https://cdn.discordapp.com/emojis/${emojiid}.png`;
  }
  if (!args[1]) {
    name = emote.name;
  } else {
    name = args[1];
  }
  message.guild.emojis
    .create(url, name)
    .then((emoji) =>
      message.channel.send(
        `\`${emoji.name}\` named emote created (${emoji})`
      )
    )
    .catch(e => {
      message.channel.send(`An error occurred \n${e}`)
    });
};

module.exports.help = {
  name: "add-emoji",
  aliases: ["ae","emoji","add-emote","addemote","emoji-ekle","emojiekle"],
};
