const Discord = require('discord.js');
const ms = require("ms");

exports.run = async(client, message, args) => {
       if(!message.member.hasPermission("MANAGE_ROLES")) return message.reply("You don't have enough permission.");
    let spammer = message.guild.member(message.mentions.users.first() || message.guild.members.cache.get(args[0]));
    if(!spammer) return message.channel.send("You need to specify a user.");
    let role = message.guild.roles.cache.find(r => r.name === "Muted");
    if(spammer.id == message.author.id) return message.channel.send('You can\'t mute yourself.');
    if(!role){
      try{
        role = message.guild.roles.create({data:{

          name: "Muted",
          color: "#818080",
          permissions:[]}
        })
        message.guild.channels.cache.forEach(async (channel, id) => {
         channel.updateOverwrite(role, {
            SEND_MESSAGES: false,
            ADD_REACTIONS: false
          });
        });
      }catch(e){
      message.channel.send(`An error occurred \n${e}`)
    };
    }
    
    if (spammer.roles.cache.has(role.id)) return message.channel.send('This user is muted!');
    let time = args[1];
    if(!time) {
      time = "24h"
    };
    let reason = args.slice(2).join(' ');
    if(!reason) {
      reason = "Unspecified"
    }

  (spammer.roles.add(role.id));
   message.channel.send(`Muted user: <@${spammer.id}> \nTime: \`${ms(ms(time))}\` \nReason: \`${reason}\``);

    setTimeout(function () {
      if (!spammer.roles.cache.has(role.id))
        return;
      spammer.roles.remove(role.id);
      message.channel.send(`<@${spammer.id}> can speak again`);
    }, ms(time));
};
module.exports.help = {
    name: 'mute',
    aliases: [`tempmute`]
};
