const Discord = require("discord.js");
const moment = require("moment");
const os = require('os');
require("moment-duration-format");
exports.run = async (client, message, args) => {
   const seksizaman = moment.duration(client.uptime).format(" D [Day], H [Hour], m [Minute], s [Second]");
   var totalmem = os.totalmem()/1024/1024/1000;
   var tmem = Math.floor(totalmem);
   const stats = new Discord.MessageEmbed()
  .setColor('RANDOM')
  .addField("<a:tik:801039054694514691> Author", "<@770218429096656917>")
  .addField("<a:tik:801039054694514691> Memory Usage", `\`\`\`${(process.memoryUsage().heapUsed / 1024 / 1024).toFixed(2)} MiB / ${tmem} GiB\`\`\``, true)  
  .addField("<a:tik:801039054694514691> Uptime", `\`\`\`${seksizaman}\`\`\``)
  .addField("<a:tik:801039054694514691> Guilds", `\`\`\`${client.guilds.cache.size}\`\`\``, true)
.addField("<a:tik:801039054694514691> Users", `\`\`\`${client.guilds.cache.reduce((a, b) => a + b.memberCount, 0).toLocaleString()}\`\`\``)
  .addField("<a:tik:801039054694514691> Channels", `\`\`\`${client.channels.cache.size}\`\`\``, true)
  .addField("<a:tik:801039054694514691> Discord.JS Version", `\`\`\`v${Discord.version}\`\`\``, true)
  .addField("<a:tik:801039054694514691> Node.JS Version", `\`\`\`${process.version}\`\`\``, true)
  .addField("<a:tik:801039054694514691> Ping", `\`\`\`${client.ws.ping}ms\`\`\``, true)
  .addField("<a:tik:801039054694514691> CPU", `\`\`\`\n${os.cpus().map(i => `${i.model}`)[0]}\`\`\``)
  .addField("<a:tik:801039054694514691> Bit", `\`\`\`${os.arch()}\`\`\``, true)
  .addField("<a:tik:801039054694514691> OS Platform", `\`\`\`${os.platform()}\`\`\``) 
  return message.channel.send(stats).catch(e => {
      message.channel.send(`An error occurred \n${e}`)
    });
};
module.exports.help = {
    name: 'istatistik',
    aliases: ['i','stats']
};
