const Discord = require('discord.js')
var steam = require('steam-provider')
var provider = new steam.SteamProvider();

exports.run = (client, message, args) => { 
    let game = args.slice(1).join(' ');
    let steampng = "https://cdn.discordapp.com/attachments/458004691402489856/470344660364034049/steam.png"
    if (!game) return message.reply('You need to write a game\'s name')
    provider.search(game).then(result => {
        if(!result) return message.channel.send('Can\'t find that game!')
    provider.detail(result[0].id, "turkey", "tr").then(results => {
    const embed = new Discord.MessageEmbed()
    .setAuthor('Steam Store', steampng)
    .setTitle(result[0].name)
    .addField(`Game's ID`, result[0].id)
    .setThumbnail(results.otherData.imageUrl)
    .addField('Genres', results.genres)
    .addField('Price', `${results.priceData.initialPrice} TL`, true)
    .addField('Platorms', results.otherData.platforms, true)
    .addField('Metacritic Score', results.otherData.metacriticScore, true)
    .addField('Features', results.otherData.features, true)
    .addField('Developer', results.otherData.developer, true)
    .addField('Publishers', results.otherData.publisher)
    .setColor('RANDOM')
    .setFooter('Steam Market')
    message.channel.send(embed).catch(e => {
      message.channel.send(`An error occurred \n${e}`)
    });
})
})
}
module.exports.help = {
    name: 'steam',
    aliases: []
 };
